Gentoo Archives: gentoo-commits

From: "Mike Gilbert (floppym)" <floppym@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in sys-apps/systemd: systemd-215.ebuild ChangeLog
Date: Fri, 04 Jul 2014 04:28:51
Message-Id: 20140704042846.7A24E2004E@flycatcher.gentoo.org
1 floppym 14/07/04 04:28:46
2
3 Modified: ChangeLog
4 Added: systemd-215.ebuild
5 Log:
6 Version bump.
7
8 (Portage version: 2.2.10/cvs/Linux x86_64, signed Manifest commit with key 0BBEEA1FEA4843A4)
9
10 Revision Changes Path
11 1.271 sys-apps/systemd/ChangeLog
12
13 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/systemd/ChangeLog?rev=1.271&view=markup
14 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/systemd/ChangeLog?rev=1.271&content-type=text/plain
15 diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/systemd/ChangeLog?r1=1.270&r2=1.271
16
17 Index: ChangeLog
18 ===================================================================
19 RCS file: /var/cvsroot/gentoo-x86/sys-apps/systemd/ChangeLog,v
20 retrieving revision 1.270
21 retrieving revision 1.271
22 diff -u -r1.270 -r1.271
23 --- ChangeLog 4 Jul 2014 03:11:19 -0000 1.270
24 +++ ChangeLog 4 Jul 2014 04:28:46 -0000 1.271
25 @@ -1,6 +1,11 @@
26 # ChangeLog for sys-apps/systemd
27 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
28 -# $Header: /var/cvsroot/gentoo-x86/sys-apps/systemd/ChangeLog,v 1.270 2014/07/04 03:11:19 floppym Exp $
29 +# $Header: /var/cvsroot/gentoo-x86/sys-apps/systemd/ChangeLog,v 1.271 2014/07/04 04:28:46 floppym Exp $
30 +
31 +*systemd-215 (04 Jul 2014)
32 +
33 + 04 Jul 2014; Mike Gilbert <floppym@g.o> +systemd-215.ebuild:
34 + Version bump.
35
36 04 Jul 2014; Mike Gilbert <floppym@g.o> systemd-9999.ebuild:
37 Create input group.
38
39
40
41 1.1 sys-apps/systemd/systemd-215.ebuild
42
43 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/systemd/systemd-215.ebuild?rev=1.1&view=markup
44 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-apps/systemd/systemd-215.ebuild?rev=1.1&content-type=text/plain
45
46 Index: systemd-215.ebuild
47 ===================================================================
48 # Copyright 1999-2014 Gentoo Foundation
49 # Distributed under the terms of the GNU General Public License v2
50 # $Header: /var/cvsroot/gentoo-x86/sys-apps/systemd/systemd-215.ebuild,v 1.1 2014/07/04 04:28:46 floppym Exp $
51
52 EAPI=5
53
54 AUTOTOOLS_PRUNE_LIBTOOL_FILES=all
55 PYTHON_COMPAT=( python{2_7,3_2,3_3} )
56 inherit autotools-utils bash-completion-r1 fcaps linux-info multilib \
57 multilib-minimal pam python-single-r1 systemd toolchain-funcs udev \
58 user
59
60 DESCRIPTION="System and service manager for Linux"
61 HOMEPAGE="http://www.freedesktop.org/wiki/Software/systemd"
62 SRC_URI="http://www.freedesktop.org/software/systemd/${P}.tar.xz"
63
64 LICENSE="GPL-2 LGPL-2.1 MIT public-domain"
65 SLOT="0/2"
66 KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
67 IUSE="acl audit cryptsetup doc +firmware-loader gcrypt gudev http introspection
68 kdbus +kmod lzma pam policykit python qrcode +seccomp selinux ssl
69 test vanilla"
70
71 MINKV="3.8"
72
73 COMMON_DEPEND=">=sys-apps/util-linux-2.20:0=
74 sys-libs/libcap:0=
75 acl? ( sys-apps/acl:0= )
76 audit? ( >=sys-process/audit-2:0= )
77 cryptsetup? ( >=sys-fs/cryptsetup-1.6:0= )
78 gcrypt? ( >=dev-libs/libgcrypt-1.4.5:0= )
79 gudev? ( >=dev-libs/glib-2.34.3:2=[${MULTILIB_USEDEP}] )
80 http? (
81 >=net-libs/libmicrohttpd-0.9.33:0=
82 ssl? ( >=net-libs/gnutls-3.1.4:0= )
83 )
84 introspection? ( >=dev-libs/gobject-introspection-1.31.1:0= )
85 kmod? ( >=sys-apps/kmod-15:0= )
86 lzma? ( >=app-arch/xz-utils-5.0.5-r1:0=[${MULTILIB_USEDEP}] )
87 pam? ( virtual/pam:= )
88 python? ( ${PYTHON_DEPS} )
89 qrcode? ( media-gfx/qrencode:0= )
90 seccomp? ( sys-libs/libseccomp:0= )
91 selinux? ( sys-libs/libselinux:0= )
92 abi_x86_32? ( !<=app-emulation/emul-linux-x86-baselibs-20130224-r9
93 !app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)] )"
94
95 # baselayout-2.2 has /run
96 RDEPEND="${COMMON_DEPEND}
97 >=sys-apps/baselayout-2.2
98 || (
99 >=sys-apps/util-linux-2.22
100 <sys-apps/sysvinit-2.88-r4
101 )
102 !sys-auth/nss-myhostname
103 !<sys-libs/glibc-2.14
104 !sys-fs/udev"
105
106 # sys-apps/daemon: the daemon only (+ build-time lib dep for tests)
107 PDEPEND=">=sys-apps/dbus-1.6.8-r1:0
108 >=sys-apps/hwids-20130717-r1[udev]
109 >=sys-fs/udev-init-scripts-25
110 policykit? ( sys-auth/polkit )
111 !vanilla? ( sys-apps/gentoo-systemd-integration )"
112
113 # Newer linux-headers needed by ia64, bug #480218
114 DEPEND="${COMMON_DEPEND}
115 app-arch/xz-utils:0
116 dev-util/gperf
117 >=dev-util/intltool-0.50
118 >=sys-devel/binutils-2.23.1
119 >=sys-devel/gcc-4.6
120 >=sys-kernel/linux-headers-${MINKV}
121 ia64? ( >=sys-kernel/linux-headers-3.9 )
122 virtual/pkgconfig
123 doc? ( >=dev-util/gtk-doc-1.18 )
124 python? ( dev-python/lxml[${PYTHON_USEDEP}] )
125 test? ( >=sys-apps/dbus-1.6.8-r1:0 )"
126
127 src_prepare() {
128 # Bug 463376
129 sed -i -e 's/GROUP="dialout"/GROUP="uucp"/' rules/*.rules || die
130
131 autotools-utils_src_prepare
132 }
133
134 pkg_pretend() {
135 local CONFIG_CHECK="~AUTOFS4_FS ~BLK_DEV_BSG ~CGROUPS ~DEVTMPFS ~DMIID
136 ~EPOLL ~FANOTIFY ~FHANDLE ~INOTIFY_USER ~IPV6 ~NET ~NET_NS ~PROC_FS
137 ~SECCOMP ~SIGNALFD ~SYSFS ~TIMERFD ~TMPFS_XATTR
138 ~!IDE ~!SYSFS_DEPRECATED ~!SYSFS_DEPRECATED_V2
139 ~!GRKERNSEC_PROC"
140
141 use acl && CONFIG_CHECK+=" ~TMPFS_POSIX_ACL"
142 kernel_is -lt 3 7 && CONFIG_CHECK+=" ~HOTPLUG"
143 use firmware-loader || CONFIG_CHECK+=" ~!FW_LOADER_USER_HELPER"
144
145 if linux_config_exists; then
146 local uevent_helper_path=$(linux_chkconfig_string UEVENT_HELPER_PATH)
147 if [ -n "${uevent_helper_path}" ] && [ "${uevent_helper_path}" != '""' ]; then
148 ewarn "It's recommended to set an empty value to the following kernel config option:"
149 ewarn "CONFIG_UEVENT_HELPER_PATH=${uevent_helper_path}"
150 fi
151 fi
152
153 if [[ ${MERGE_TYPE} != binary ]]; then
154 if [[ $(gcc-major-version) -lt 4
155 || ( $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 6 ) ]]
156 then
157 eerror "systemd requires at least gcc 4.6 to build. Please switch the active"
158 eerror "gcc version using gcc-config."
159 die "systemd requires at least gcc 4.6"
160 fi
161 fi
162
163 if [[ ${MERGE_TYPE} != buildonly ]]; then
164 if kernel_is -lt ${MINKV//./ }; then
165 ewarn "Kernel version at least ${MINKV} required"
166 fi
167
168 if ! use firmware-loader && kernel_is -lt 3 8; then
169 ewarn "You seem to be using kernel older than 3.8. Those kernel versions"
170 ewarn "require systemd with USE=firmware-loader to support loading"
171 ewarn "firmware. Missing this flag may cause some hardware not to work."
172 fi
173
174 check_extra_config
175 fi
176 }
177
178 pkg_setup() {
179 use python && python-single-r1_pkg_setup
180 }
181
182 src_configure() {
183 # Keep using the one where the rules were installed.
184 MY_UDEVDIR=$(get_udevdir)
185 # Fix systems broken by bug #509454.
186 [[ ${MY_UDEVDIR} ]] || MY_UDEVDIR=/lib/udev
187
188 multilib-minimal_src_configure
189 }
190
191 multilib_src_configure() {
192 local myeconfargs=(
193 # disable -flto since it is an optimization flag
194 # and makes distcc less effective
195 cc_cv_CFLAGS__flto=no
196
197 --disable-maintainer-mode
198 --localstatedir=/var
199 --with-pamlibdir=$(getpam_mod_dir)
200 # avoid bash-completion dep
201 --with-bashcompletiondir="$(get_bashcompdir)"
202 # make sure we get /bin:/sbin in $PATH
203 --enable-split-usr
204 # disable sysv compatibility
205 --with-sysvinit-path=
206 --with-sysvrcnd-path=
207 # no deps
208 --enable-efi
209 --enable-ima
210 # optional components/dependencies
211 $(use_enable acl)
212 $(use_enable audit)
213 $(use_enable cryptsetup libcryptsetup)
214 $(use_enable doc gtk-doc)
215 $(use_enable gcrypt)
216 $(use_enable gudev)
217 $(use_enable http microhttpd)
218 $(usex http $(use_enable ssl gnutls) --disable-gnutls)
219 $(use_enable introspection)
220 $(use_enable kdbus)
221 $(use_enable kmod)
222 $(use_enable lzma xz)
223 $(use_enable pam)
224 $(use_enable policykit polkit)
225 $(use_with python)
226 $(use_enable python python-devel)
227 $(use_enable qrcode qrencode)
228 $(use_enable seccomp)
229 $(use_enable selinux)
230 $(use_enable test tests)
231
232 # not supported (avoid automagic deps in the future)
233 --disable-chkconfig
234
235 # hardcode a few paths to spare some deps
236 QUOTAON=/usr/sbin/quotaon
237 QUOTACHECK=/usr/sbin/quotacheck
238
239 # dbus paths
240 --with-dbuspolicydir="${EPREFIX}/etc/dbus-1/system.d"
241 --with-dbussessionservicedir="${EPREFIX}/usr/share/dbus-1/services"
242 --with-dbussystemservicedir="${EPREFIX}/usr/share/dbus-1/system-services"
243 --with-dbusinterfacedir="${EPREFIX}/usr/share/dbus-1/interfaces"
244
245 --with-ntp-servers="0.gentoo.pool.ntp.org 1.gentoo.pool.ntp.org 2.gentoo.pool.ntp.org 3.gentoo.pool.ntp.org"
246 )
247
248 if use firmware-loader; then
249 myeconfargs+=(
250 --with-firmware-path="/lib/firmware/updates:/lib/firmware"
251 )
252 fi
253
254 # Added for testing; this is UNSUPPORTED by the Gentoo systemd team!
255 if [[ -n ${ROOTPREFIX+set} ]]; then
256 myeconfargs+=(
257 --with-rootprefix="${ROOTPREFIX}"
258 --with-rootlibdir="${ROOTPREFIX}/$(get_libdir)"
259 )
260 fi
261
262 if ! multilib_is_native_abi; then
263 myeconfargs+=(
264 ac_cv_search_cap_init=
265 ac_cv_header_sys_capability_h=yes
266 DBUS_CFLAGS=' '
267 DBUS_LIBS=' '
268
269 --disable-acl
270 --disable-audit
271 --disable-gcrypt
272 --disable-gnutls
273 --disable-gtk-doc
274 --disable-introspection
275 --disable-kmod
276 --disable-libcryptsetup
277 --disable-microhttpd
278 --disable-networkd
279 --disable-pam
280 --disable-polkit
281 --disable-qrencode
282 --disable-seccomp
283 --disable-selinux
284 --disable-timesyncd
285 --disable-tests
286 --disable-xz
287 --disable-python-devel
288 )
289 fi
290
291 # Work around bug 463846.
292 tc-export CC
293
294 autotools-utils_src_configure
295 }
296
297 multilib_src_compile() {
298 local mymakeopts=(
299 udevlibexecdir="${MY_UDEVDIR}"
300 )
301
302 if multilib_is_native_abi; then
303 emake "${mymakeopts[@]}"
304 else
305 # prerequisites for gudev
306 use gudev && emake src/gudev/gudev{enumtypes,marshal}.{c,h}
307
308 echo 'gentoo: $(BUILT_SOURCES)' | \
309 emake "${mymakeopts[@]}" -f Makefile -f - gentoo
310 echo 'gentoo: $(lib_LTLIBRARIES) $(pkgconfiglib_DATA)' | \
311 emake "${mymakeopts[@]}" -f Makefile -f - gentoo
312 fi
313 }
314
315 multilib_src_test() {
316 multilib_is_native_abi || continue
317
318 default
319 }
320
321 multilib_src_install() {
322 local mymakeopts=(
323 # automake fails with parallel libtool relinking
324 # https://bugs.gentoo.org/show_bug.cgi?id=491398
325 -j1
326
327 udevlibexecdir="${MY_UDEVDIR}"
328 dist_udevhwdb_DATA=
329 DESTDIR="${D}"
330 )
331
332 if multilib_is_native_abi; then
333 emake "${mymakeopts[@]}" install
334 # Even with --enable-networkd, it's not right to have this running by default
335 # when it's unconfigured.
336 rm -f "${D}"/etc/systemd/system/multi-user.target.wants/systemd-networkd.service
337 else
338 mymakeopts+=(
339 install-libLTLIBRARIES
340 install-pkgconfiglibDATA
341 install-includeHEADERS
342 # safe to call unconditionally, 'installs' empty list
343 install-libgudev_includeHEADERS
344 install-pkgincludeHEADERS
345 )
346
347 emake "${mymakeopts[@]}"
348 fi
349
350 # install compat pkg-config files
351 local pcfiles=( src/compat-libs/libsystemd-{daemon,id128,journal,login}.pc )
352 emake "${mymakeopts[@]}" install-pkgconfiglibDATA \
353 pkgconfiglib_DATA="${pcfiles[*]}"
354 }
355
356 multilib_src_install_all() {
357 prune_libtool_files --modules
358 einstalldocs
359
360 # we just keep sysvinit tools, so no need for the mans
361 rm "${D}"/usr/share/man/man8/{halt,poweroff,reboot,runlevel,shutdown,telinit}.8 \
362 || die
363 rm "${D}"/usr/share/man/man1/init.1 || die
364
365 # Disable storing coredumps in journald, bug #433457
366 mv "${D}"/usr/lib/sysctl.d/50-coredump.conf{,.disabled} || die
367
368 # Preserve empty dirs in /etc & /var, bug #437008
369 keepdir /etc/binfmt.d /etc/modules-load.d /etc/tmpfiles.d \
370 /etc/systemd/ntp-units.d /etc/systemd/user /var/lib/systemd
371
372 # Symlink /etc/sysctl.conf for easy migration.
373 dosym ../sysctl.conf /etc/sysctl.d/99-sysctl.conf
374 }
375
376 migrate_locale() {
377 local envd_locale_def="${EROOT%/}/etc/env.d/02locale"
378 local envd_locale=( "${EROOT%/}"/etc/env.d/??locale )
379 local locale_conf="${EROOT%/}/etc/locale.conf"
380
381 if [[ ! -L ${locale_conf} && ! -e ${locale_conf} ]]; then
382 # If locale.conf does not exist...
383 if [[ -e ${envd_locale} ]]; then
384 # ...either copy env.d/??locale if there's one
385 ebegin "Moving ${envd_locale} to ${locale_conf}"
386 mv "${envd_locale}" "${locale_conf}"
387 eend ${?} || FAIL=1
388 else
389 # ...or create a dummy default
390 ebegin "Creating ${locale_conf}"
391 cat > "${locale_conf}" <<-EOF
392 # This file has been created by the sys-apps/systemd ebuild.
393 # See locale.conf(5) and localectl(1).
394
395 # LANG=${LANG}
396 EOF
397 eend ${?} || FAIL=1
398 fi
399 fi
400
401 if [[ ! -L ${envd_locale} ]]; then
402 # now, if env.d/??locale is not a symlink (to locale.conf)...
403 if [[ -e ${envd_locale} ]]; then
404 # ...warn the user that he has duplicate locale settings
405 ewarn
406 ewarn "To ensure consistent behavior, you should replace ${envd_locale}"
407 ewarn "with a symlink to ${locale_conf}. Please migrate your settings"
408 ewarn "and create the symlink with the following command:"
409 ewarn "ln -s -n -f ../locale.conf ${envd_locale}"
410 ewarn
411 else
412 # ...or just create the symlink if there's nothing here
413 ebegin "Creating ${envd_locale_def} -> ../locale.conf symlink"
414 ln -n -s ../locale.conf "${envd_locale_def}"
415 eend ${?} || FAIL=1
416 fi
417 fi
418 }
419
420 migrate_net_name_slot() {
421 # If user has disabled 80-net-name-slot.rules using a empty file or a symlink to /dev/null,
422 # do the same for 80-net-setup-link.rules to keep the old behavior
423 local net_move=no
424 local net_name_slot_sym=no
425 local net_rules_path="${EROOT%/}"/etc/udev/rules.d
426 local net_name_slot="${net_rules_path}"/80-net-name-slot.rules
427 local net_setup_link="${net_rules_path}"/80-net-setup-link.rules
428 if [[ -e ${net_setup_link} ]]; then
429 net_move=no
430 elif [[ -f ${net_name_slot} && $(sed -e "/^#/d" -e "/^\W*$/d" ${net_name_slot} | wc -l) == 0 ]]; then
431 net_move=yes
432 elif [[ -L ${net_name_slot} && $(readlink ${net_name_slot}) == /dev/null ]]; then
433 net_move=yes
434 net_name_slot_sym=yes
435 fi
436 if [[ ${net_move} == yes ]]; then
437 ebegin "Copying ${net_name_slot} to ${net_setup_link}"
438
439 if [[ ${net_name_slot_sym} == yes ]]; then
440 ln -nfs /dev/null "${net_setup_link}"
441 else
442 cp "${net_name_slot}" "${net_setup_link}"
443 fi
444 eend $? || FAIL=1
445 fi
446 }
447
448 pkg_postinst() {
449 newusergroup() {
450 enewgroup "$1"
451 enewuser "$1" -1 -1 -1 "$1"
452 }
453
454 enewgroup input
455 enewgroup systemd-journal
456 newusergroup systemd-bus-proxy
457 newusergroup systemd-network
458 newusergroup systemd-resolve
459 newusergroup systemd-timesync
460 use http && newusergroup systemd-journal-gateway
461
462 systemd_update_catalog
463
464 # Keep this here in case the database format changes so it gets updated
465 # when required. Despite that this file is owned by sys-apps/hwids.
466 if has_version "sys-apps/hwids[udev]"; then
467 udevadm hwdb --update --root="${ROOT%/}"
468 fi
469
470 udev_reload || FAIL=1
471
472 # Bug 468876
473 fcaps cap_dac_override,cap_sys_ptrace=ep usr/bin/systemd-detect-virt
474
475 # Bug 465468, make sure locales are respect, and ensure consistency
476 # between OpenRC & systemd
477 migrate_locale
478
479 # Migrate 80-net-name-slot.rules -> 80-net-setup-link.rules
480 migrate_net_name_slot
481
482 if [[ ${FAIL} ]]; then
483 eerror "One of the postinst commands failed. Please check the postinst output"
484 eerror "for errors. You may need to clean up your system and/or try installing"
485 eerror "systemd again."
486 eerror
487 fi
488
489 if [[ ! -L "${ROOT}"/etc/mtab ]]; then
490 ewarn "Upstream mandates the /etc/mtab file should be a symlink to /proc/mounts."
491 ewarn "Not having it is not supported by upstream and will cause tools like 'df'"
492 ewarn "and 'mount' to not work properly. Please run:"
493 ewarn " # ln -sf '${ROOT}proc/self/mounts' '${ROOT}etc/mtab'"
494 ewarn
495 fi
496
497 if ! has_version sys-apps/systemd-ui; then
498 elog "To get additional features, a number of optional runtime dependencies may"
499 elog "be installed:"
500 elog "- sys-apps/systemd-ui: for GTK+ systemadm UI and gnome-ask-password-agent"
501 fi
502 }
503
504 pkg_prerm() {
505 # If removing systemd completely, remove the catalog database.
506 if [[ ! ${REPLACED_BY_VERSION} ]]; then
507 rm -f -v "${EROOT}"/var/lib/systemd/catalog/database
508 fi
509 }